Skip to main content
GET
/
v1
/
operations
/
{operationId}
/
status
Get operation status
curl --request GET \
  --url https://sandbox.payfi.global/v1/operations/{operationId}/status \
  --header 'X-PayFi-Api-Key: <api-key>' \
  --header 'X-PayFi-Nonce: <api-key>' \
  --header 'X-PayFi-Signature: <api-key>'
{
  "operationId": "op_example_ready",
  "partnerOperationId": "acme-op-123",
  "customerId": "cus_example",
  "status": "READY_FOR_MANUAL_REVIEW",
  "operationType": "IMPORT_GOODS",
  "exchangeModality": "TERM",
  "requirementsStatus": "APPROVED",
  "requiredDocumentTypes": [
    "invoice",
    "bill_of_lading",
    "packing_list"
  ],
  "missingDocumentTypes": [],
  "score0To100": 94,
  "score1To10": 10,
  "riskLevel": "low",
  "createdAt": "2026-05-20T12:00:00.000Z",
  "updatedAt": "2026-05-20T12:10:00.000Z"
}

Authorizations

X-PayFi-Api-Key
string
header
required
X-PayFi-Nonce
string
header
required
X-PayFi-Signature
string
header
required

Path Parameters

operationId
string
required

Operation ID.

Response

Operation status.

operationId
string
Example:

"op_example"

partnerOperationId
string | null
Example:

"acme-op-123"

customerId
string | null
Example:

"cus_example"

status
enum<string>
Available options:
CREATED,
REQUIREMENTS_PENDING,
REQUIREMENTS_REVIEW_REQUIRED,
REQUIREMENTS_FAILED,
AWAITING_DOCUMENTS,
DOCUMENTS_PARTIAL,
DOCUMENTS_UPLOADED,
PROCESSING,
PROCESSING_FAILED,
ACTION_REQUIRED,
READY_FOR_MANUAL_REVIEW,
MANUAL_REVIEW_APPROVED,
MANUAL_REVIEW_REJECTED,
MANUAL_REVIEW_CHANGES_REQUESTED,
PARTNER_CALLBACK_PENDING,
PARTNER_CALLBACK_DELIVERED,
PARTNER_CALLBACK_FAILED,
CANCELLED,
FAILED
Example:

"REQUIREMENTS_REVIEW_REQUIRED"

operationType
enum<string>
Available options:
IMPORT_GOODS,
EXPORT_GOODS,
SERVICES
Example:

"IMPORT_GOODS"

exchangeModality
enum<string>
Available options:
ADVANCE,
SIGHT,
TERM
Example:

"TERM"

requirementsStatus
enum<string>
Available options:
PENDING,
REVIEW_REQUIRED,
APPROVED,
FAILED
Example:

"REVIEW_REQUIRED"

requiredDocumentTypes
enum<string>[]
Available options:
invoice,
bill_of_lading,
packing_list,
di_duimp,
bank_details,
proforma,
service_contract,
insurance_policy
Example:
["invoice", "bill_of_lading", "packing_list"]
missingDocumentTypes
enum<string>[]
Available options:
invoice,
bill_of_lading,
packing_list,
di_duimp,
bank_details,
proforma,
service_contract,
insurance_policy
Example:
["invoice"]
score0To100
number | null
Example:

null

score1To10
number | null
Example:

null

riskLevel
enum<string> | null
Available options:
low,
medium,
high,
critical,
unknown
Example:

null

createdAt
string
Example:

"2026-05-20T12:00:00.000Z"

updatedAt
string
Example:

"2026-05-20T12:00:00.000Z"